// uses system's "nroff" to translate the raw output file to
// the final form ready for editing and sending to the
// registrar's (script) office.
//
#include "mkevals.h"

void mk_roff_file(string& ofn)
{

    string ofnroff = ofn;
    ofnroff.replace(ofnroff.find(".evs"),5,".roff"); // make "ifn.roff"
                                                     // from "ifn.evs"
    ofstream ofs("tmp");                             // open "tmp"
    int rc = system("which nroff > tmp" );           // nroff on system?
    if (rc){
        remove(ofnroff.c_str());                     // any "ifn.roff"
        err("did not find \"nroff\" on your system,\n"
            "   but the raw file \"", ofn, "\" is available\n"
            "   for future processing, perhaps with \"groff\"\n"
            "   or \"troff\", using \"-ms\" macros.");
    }
    else {
        const string nroff_cmd = "nroff -ms " + ofn + " > tmp";
        rc = system(nroff_cmd.c_str());
        if (rc){
            remove(ofnroff.c_str());
            remove("./tmp");
            err("could not execute \"nroff\" command,\n"
            "   but the raw file \"", ofn, "\" is available\n"
            "   for future processing, perhaps with \"groff\"\n"
            "   or \"troff\", using \"-ms\" macros.");
        }
        const string sed_cmd = "sed '/./,/^$/!d' tmp > " + ofnroff;
                                                     // removes extra spaces
        rc = system(sed_cmd.c_str());
        if (rc) err("could not complete \"nroff\" command");
        else {
            remove("./tmp");       // remove tmp file
            remove(ofn.c_str());   // remove ".evs" file if nroff exists
        }
    }
}
