// writes to ofs full names from registrar header
// followed by a proposed grade based on total category
// and so creates a possibly useful page of grades
// there are 10 categories (0 to 9), ranging from F to A+
//
#include "mkevals.h"

void togradepage(misc* mp, string& header, ofstream& ofs, uns catback)
{
    grtype gt = get_grtype(header);     // gt: 0: P or NP;
                                        //     1: letter grade
                                        //     2: withdrawn (W)
    string fname = getfullname(mp, header); // full name from reg list
    ofs << fname;                       // write name
    if (gt == wg){                      // deal with withdrawn first
        ofs << W;
        return;
    }
    switch (catback){                   // category of total score
    case 0:
        if (gt) ofs << F;
        else    ofs << NP;
        break;
    case 1:
        if (gt) ofs << D;
        else    ofs << NP;
        break;
    case 2:
        if (gt) ofs << C;
        else    ofs << P;
        break;
    case 3:
        if (gt){
            if (mp->plus) ofs << Cp;
            else ofs << C;
        }
        else    ofs << P;
        break;
    case 4:
        if (gt){
            if (mp->plus) ofs << Bm;
            else ofs << B;
        }
        else    ofs << P;
        break;
    case 5:
        if (gt) ofs << B;
        else    ofs << P;
        break;
    case 6:
        if (gt){
            if (mp->plus) ofs << Bp;
            else ofs << B;
        }
        else    ofs << P;
        break;
    case 7:
        if (gt){
            if (mp->plus) ofs << Am;
            else ofs << A;
        }
        else     ofs << P;
        break;
    case 8:
        if (gt) ofs << A;
        else    ofs << P;
        break;
    case 9:
        if (gt){
            if (mp->plus) ofs << Ap;
            else ofs << A;
        }
        else    ofs << P;
        break;
    default:
        err("did not get a cat[total] for ", fname);
    }
}

